Skip to main content
GET
List transactions

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Query Parameters

vaultId
string

The vault ID to get transactions for

startDate
string<date>

The start date (inclusive) in YYYY-MM-DD format. The earliest valid start date is '2017-01-01`. Dates are always in UTC RFC 3339 'full-date'.

endDate
string<date>

The end date (inclusive) in YYYY-MM-DD format. The latest valid end date is the current date. Dates are always in UTC RFC 3339 'full-date'.

afterId
string

When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)

limit
integer<int64>
default:25

Maximum number of results to return per query

Required range: 1 <= x <= 100
types
enum<string>[]

A comma-separated list of transaction types to return.

Available options:
DEPOSIT,
WITHDRAW,
TRANSFER,
DELEGATION_REWARD,
STAKING_REWARD,
RESTAKING_REWARD,
ALLUVIAL_STAKING_REWARD,
MINT,
BURN,
DIEM_PREBURN,
GAS_STATION,
ACH_DEBIT_IN,
OTHER
walletId
string

An ID uniquely identifying an Anchorage Digital wallet

destinationAddress
string

The destination address on the transaction for which results will be returned

virtualAccountId
string

The virtual account on either side of the transaction for which results will be returned. The response shows only this wallet's side in virtualAccountId (and, for internal transfers and withdrawals, destinationVirtualAccountId), so a match on the other side is not echoed.

customerId
string

The customer who owns the virtual account on this wallet's side of the transaction, as shown in customerId, for which results will be returned

Response

A list of transactions

data
TransactionDetails · object[]
required
page
Page · object
required

Pagination info